

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Network network_extensions.multilayer &mdash; NetExt1 1 documentation</title>
  

  
  
  
  

  
  <script type="text/javascript" src="_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
        <script src="_static/language_data.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Network igraphx_simulations.simulations" href="simulations.html" />
    <link rel="prev" title="Network network_extensions.igraphx" href="igraphx.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="index.html" class="icon icon-home"> NetExt1
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="igraphx.html">Network network_extensions.igraphx</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Network network_extensions.multilayer</a></li>
<li class="toctree-l1"><a class="reference internal" href="simulations.html">Network igraphx_simulations.simulations</a></li>
<li class="toctree-l1"><a class="reference internal" href="semantic.html">Network network_extensions.semantic</a></li>
<li class="toctree-l1"><a class="reference internal" href="structure_simulations.html">Result structure of a simulation</a></li>
<li class="toctree-l1"><a class="reference internal" href="graph_plotly.html">Helpers for plotly</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">NetExt1</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="index.html">Docs</a> &raquo;</li>
        
      <li>Network network_extensions.multilayer</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="_sources/multilayer.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="module-network_extensions.igraphx.multilayer">
<span id="network-network-extensions-multilayer"></span><h1>Network network_extensions.multilayer<a class="headerlink" href="#module-network_extensions.igraphx.multilayer" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph">
<em class="property">class </em><code class="sig-prename descclassname">network_extensions.igraphx.multilayer.</code><code class="sig-name descname">MultiLayerGraph</code><span class="sig-paren">(</span><em class="sig-param">*args</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph" title="Permalink to this definition">¶</a></dt>
<dd><p>A multilayer graph describes a complex multi-layer (multi-level) network.
The graph can consist of bi-partite and non-bipartite layer.</p>
<p>We assume in this network that all nodes with the <em>same</em> label are the same nodes.</p>
<dl class="class">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.BiPartiteGraph">
<em class="property">class </em><code class="sig-name descname">BiPartiteGraph</code><span class="sig-paren">(</span><em class="sig-param">*args</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.BiPartiteGraph"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.BiPartiteGraph" title="Permalink to this definition">¶</a></dt>
<dd><p>class for describing bi-partite layers in our network.
We understand in a number of applications, bi-partite layers as layer which connect different
no-bipartite networks - usually this networks only consist of one type each.</p>
<p>e.g. we have a network of institutions and networks of persons. The a bi-partite graph with
nodes of the types institution and persons combines these two networks.</p>
<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.BiPartiteGraph.biPartiteToAttribute">
<code class="sig-name descname">biPartiteToAttribute</code><span class="sig-paren">(</span><em class="sig-param">attribute_name: str</em>, <em class="sig-param">layer_start: igraph.Graph = None</em><span class="sig-paren">)</span> &#x2192; None<a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.BiPartiteGraph.biPartiteToAttribute"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.BiPartiteGraph.biPartiteToAttribute" title="Permalink to this definition">¶</a></dt>
<dd><p>Creates an attribute for each vertex: The value is the label taken from layer_start it will be attached
to the vertex in the target.</p>
<p>e.g. if we have a bipartite Graph with</p>
<p>Einstein -&gt; physicist
Planck -&gt; physicist
Grossmann -&gt; mathematician</p>
<p>then the function will add “physicist” or “mathematician” as attribute to the layer_start.</p>
<p>If layer_start is none, then we choose self.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>attribute_name</strong> – Name of the attribute in the layer</p></li>
<li><p><strong>layer_start</strong> – (optional) Layer to add the attribute to defaults to self</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.BiPartiteGraph.createSimpleLayers">
<code class="sig-name descname">createSimpleLayers</code><span class="sig-paren">(</span><span class="sig-paren">)</span> &#x2192; dict<a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.BiPartiteGraph.createSimpleLayers"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.BiPartiteGraph.createSimpleLayers" title="Permalink to this definition">¶</a></dt>
<dd><p>this is a convenient function, we create for each type of nodes in the bi-partite network
a unconnected network of nodes.
:return: dict with name of the layer -&gt; graph</p>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.BiPartiteGraph.load">
<em class="property">classmethod </em><code class="sig-name descname">load</code><span class="sig-paren">(</span><em class="sig-param">fn: str</em>, <em class="sig-param">format=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.BiPartiteGraph.load"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.BiPartiteGraph.load" title="Permalink to this definition">¶</a></dt>
<dd><p>Load a bipartite graph,
accepts all formats igraph.load accepts. <em>doesn’t check if the graph is bi-partite!</em></p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>bipartite graph object</p>
</dd>
</dl>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.BiPartiteGraph.setEndLayer">
<code class="sig-name descname">setEndLayer</code><span class="sig-paren">(</span><em class="sig-param">layer</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.BiPartiteGraph.setEndLayer"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.BiPartiteGraph.setEndLayer" title="Permalink to this definition">¶</a></dt>
<dd><p>If we understand the bi-partite network as connector we define here one layer.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>layer</strong> – name of the layer (has to be a layer in the multilayer graph</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>None</p>
</dd>
</dl>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.BiPartiteGraph.setStartLayer">
<code class="sig-name descname">setStartLayer</code><span class="sig-paren">(</span><em class="sig-param">layer</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.BiPartiteGraph.setStartLayer"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.BiPartiteGraph.setStartLayer" title="Permalink to this definition">¶</a></dt>
<dd><p>If we understand the bi-partite network as connector we define here one layer.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>layer</strong> – name of the layer (has to be a layer in the multilayer graph</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>None</p>
</dd>
</dl>
</dd></dl>

</dd></dl>

<dl class="class">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.JoinedMultiLayerGraph">
<em class="property">class </em><code class="sig-name descname">JoinedMultiLayerGraph</code><span class="sig-paren">(</span><em class="sig-param">*args</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.JoinedMultiLayerGraph"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.JoinedMultiLayerGraph" title="Permalink to this definition">¶</a></dt>
<dd><p>Describes a graph with has been composed out of different layers. In general, as a result of calling
<code class="xref py py-func docutils literal notranslate"><span class="pre">generateMultiLayer()</span></code></p>
</dd></dl>

<dl class="class">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.MergedYearNetwork">
<em class="property">class </em><code class="sig-name descname">MergedYearNetwork</code><span class="sig-paren">(</span><em class="sig-param">*args</em>, <em class="sig-param">chooseOnlyNodesInYear=False</em>, <em class="sig-param">mergeattr=None</em>, <em class="sig-param">start_attr='begins'</em>, <em class="sig-param">end_attr='ends'</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.MergedYearNetwork"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.MergedYearNetwork" title="Permalink to this definition">¶</a></dt>
<dd><p>Contains the merged networks. In general created by :py:func:<a href="#id1"><span class="problematic" id="id2">`</span></a>generateMerged_ynws</p>
</dd></dl>

<dl class="class">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.YearNetwork">
<em class="property">class </em><code class="sig-name descname">YearNetwork</code><span class="sig-paren">(</span><em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.YearNetwork"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.YearNetwork" title="Permalink to this definition">¶</a></dt>
<dd><p>An extended dictionary which contains a MultiLayerGraphObject for each year.</p>
<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.YearNetwork.filter_es">
<code class="sig-name descname">filter_es</code><span class="sig-paren">(</span><em class="sig-param">*args</em>, <em class="sig-param">**kwds</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.YearNetwork.filter_es"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.YearNetwork.filter_es" title="Permalink to this definition">¶</a></dt>
<dd><p>filter all nodes given bei args,kwargs, parameters are the same as in igraph.es.select
(#TODO still experimental !!)
:param args: same as for igraph.vs.select
:param kwds: same as for igraph.vs.select</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>MultiLayerGraph without the selected nodes.</p>
</dd>
</dl>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.YearNetwork.filter_vs">
<code class="sig-name descname">filter_vs</code><span class="sig-paren">(</span><em class="sig-param">*args</em>, <em class="sig-param">**kwds</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.YearNetwork.filter_vs"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.YearNetwork.filter_vs" title="Permalink to this definition">¶</a></dt>
<dd><p>filter all nodes given bei args,kwargs, parameters are the same as in igraph.es.select
(#TODO still experimental !!)
:param args: same as for igraph.vs.select
:param kwds: same as for igraph.vs.select</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>MultiLayerGraph without the selected nodes.</p>
</dd>
</dl>
</dd></dl>

</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.addLayerName">
<code class="sig-name descname">addLayerName</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.addLayerName"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.addLayerName" title="Permalink to this definition">¶</a></dt>
<dd><p>add to each graph in the system a label “layer” to the edges.
The value is the name of the layer.
:return:</p>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.biPartiteToAttribute">
<code class="sig-name descname">biPartiteToAttribute</code><span class="sig-paren">(</span><em class="sig-param">bip2attr=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.biPartiteToAttribute"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.biPartiteToAttribute" title="Permalink to this definition">¶</a></dt>
<dd><p>Create attributes out of bipartite networks it will always at the attributes to the end layer, therefore it assumes that _layer_end is set
for each of the bipartite networks (with setEndLayer)!</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>bip2attr</strong> – (optional) dict -&gt; bi-parite layer name to attribute name</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p></p>
</dd>
</dl>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.checkValidity">
<code class="sig-name descname">checkValidity</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.checkValidity"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.checkValidity" title="Permalink to this definition">¶</a></dt>
<dd><p>For a number of functions - a specific set of attributes is expected, check if the multilayer graph full fills this.</p>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.copy">
<code class="sig-name descname">copy</code><span class="sig-paren">(</span><span class="sig-paren">)</span> &#x2192; a shallow copy of od<a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.copy"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.copy" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.createFigLayeredGraph">
<code class="sig-name descname">createFigLayeredGraph</code><span class="sig-paren">(</span><em class="sig-param">name</em>, <em class="sig-param">layers</em>, <em class="sig-param">sizes</em>, <em class="sig-param">position_per_layer=False</em>, <em class="sig-param">layer_typ=None</em>, <em class="sig-param">vertex_label_attr=None</em>, <em class="sig-param">layer_labels=None</em>, <em class="sig-param">ztickfontsize=10</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.createFigLayeredGraph"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.createFigLayeredGraph" title="Permalink to this definition">¶</a></dt>
<dd><dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>name</strong> – name/title of the figure</p></li>
<li><p><strong>layers</strong> – list of layer to be displayed, layers are displayed in the order given in the list</p></li>
<li><p><strong>sizes</strong> – size of the vertices</p></li>
<li><p><strong>position_per_layer</strong> – defaults to false, show only the point which exist in the layer</p></li>
<li><p><strong>layer_typ</strong> – dictionary layer -&gt; types to be displayed in this layer. defaults to all type in the layer.</p></li>
<li><p><strong>layer_labels</strong> – optional if set dictionary layer -&gt; label to be displayed on the z-axis</p></li>
<li><p><strong>ztickfontsize</strong> – defaults 10, size of the fonts for the network labels</p></li>
<li><p><strong>vertex_label_attr</strong> – </p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p></p>
</dd>
</dl>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.createFigLayeredGraphBip">
<code class="sig-name descname">createFigLayeredGraphBip</code><span class="sig-paren">(</span><em class="sig-param">name</em>, <em class="sig-param">layers</em>, <em class="sig-param">sizes</em>, <em class="sig-param">position_per_layer=False</em>, <em class="sig-param">scale_positions=True</em>, <em class="sig-param">layer_typ=None</em>, <em class="sig-param">nolines=False</em>, <em class="sig-param">poss_layers=None</em>, <em class="sig-param">colors_layers=[]</em>, <em class="sig-param">vertex_label_attr=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.createFigLayeredGraphBip"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.createFigLayeredGraphBip" title="Permalink to this definition">¶</a></dt>
<dd><dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>name</strong> – </p></li>
<li><p><strong>layers</strong> – </p></li>
<li><p><strong>sizes</strong> – </p></li>
<li><p><strong>position_per_layer</strong> – </p></li>
<li><p><strong>scale_positions</strong> – </p></li>
<li><p><strong>layer_typ</strong> – dictionary layer -&gt; types to be displayed in this layer. defaults to all type in the layer.</p></li>
<li><p><strong>nolines</strong> – </p></li>
<li><p><strong>poss_layers</strong> – </p></li>
<li><p><strong>colors_layers</strong> – </p></li>
<li><p><strong>vertex_label_attr</strong> – </p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p></p>
</dd>
</dl>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.createFigMultiLayerYearNW">
<code class="sig-name descname">createFigMultiLayerYearNW</code><span class="sig-paren">(</span><em class="sig-param">name</em>, <em class="sig-param">layers</em>, <em class="sig-param">func='betweenness'</em>, <em class="sig-param">size_mult=20</em>, <em class="sig-param">size_offset=5</em>, <em class="sig-param">bipartite=False</em>, <em class="sig-param">years_selected=None</em>, <em class="sig-param">position_per_layer=False</em>, <em class="sig-param">disable=True</em>, <em class="sig-param">merged_years=None</em>, <em class="sig-param">layer_typ=None</em>, <em class="sig-param">vertex_label_attr=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.createFigMultiLayerYearNW"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.createFigMultiLayerYearNW" title="Permalink to this definition">¶</a></dt>
<dd><dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>name</strong> – </p></li>
<li><p><strong>layers</strong> – </p></li>
<li><p><strong>func</strong> – </p></li>
<li><p><strong>size_mult</strong> – </p></li>
<li><p><strong>size_offset</strong> – </p></li>
<li><p><strong>bipartite</strong> – </p></li>
<li><p><strong>years_selected</strong> – </p></li>
<li><p><strong>position_per_layer</strong> – </p></li>
<li><p><strong>disable</strong> – </p></li>
<li><p><strong>merged_years</strong> – </p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p></p>
</dd>
</dl>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.createSubNetwork">
<code class="sig-name descname">createSubNetwork</code><span class="sig-paren">(</span><em class="sig-param">layers</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.createSubNetwork"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.createSubNetwork" title="Permalink to this definition">¶</a></dt>
<dd><p>Create a subnetwork consisting from the muli-layer with the layers given.
:param layers: list of layer names in the new network
:return:</p>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.createYearNetworks">
<code class="sig-name descname">createYearNetworks</code><span class="sig-paren">(</span><em class="sig-param">start</em>, <em class="sig-param">end</em>, <em class="sig-param">v_attr_name=None</em>, <em class="sig-param">startyear_attr='begins'</em>, <em class="sig-param">endyear_attr='ends'</em>, <em class="sig-param">startyear_edge_attr='year_s'</em>, <em class="sig-param">endyear_edge_attr='year_e'</em>, <em class="sig-param">filter_degree_0=False</em>, <em class="sig-param">include_nodes_without_date=False</em>, <em class="sig-param">simplify=False</em>, <em class="sig-param">combine_edges=None</em>, <em class="sig-param">update=False</em>, <em class="sig-param">worker=6</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.createYearNetworks"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.createYearNetworks" title="Permalink to this definition">¶</a></dt>
<dd><dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>start</strong> – first year</p></li>
<li><p><strong>end</strong> – last year</p></li>
<li><p><strong>v_attr_name</strong> – Vertex attribute which uniquely identifies the vertices in each year, if None, then self.unique_vertex_attribute is used.</p></li>
<li><p><strong>startyear_attr</strong> – default “begins”, vertex attribute which contains the year, where the vertex starts to exist.</p></li>
<li><p><strong>endyear_attr</strong> – default “ends”, vertex attribute which contains the year, where the vertex ends to exist.</p></li>
<li><p><strong>startyear_edge_attr</strong> – default “year_s”, edge attribute which contains the year, where the edge starts to exist.</p></li>
<li><p><strong>endyear_edge_attr</strong> – default “year_e”, edge attribute which contains the year, where the edge ends to exist.</p></li>
<li><p><strong>filter_degree_0</strong> – default False, filter_degree_0 can be either a boolean if true then filter in all graphs or a list then filter only for the graphs in the list.</p></li>
<li><p><strong>include_nodes_without_date</strong> – default False, vertices without dates are not displayed if false.</p></li>
<li><p><strong>simplify</strong> – calls simplify(multiple=True, loops=True, combine_edges=combine_edges) on each network</p></li>
<li><p><strong>combine_edges</strong> – see above, defaults to None</p></li>
<li><p><strong>update</strong> – defaults False, if true create only years/networks which don’t exist alredy</p></li>
<li><p><strong>worker</strong> – defaults to 6, number of workers to use for parallel processing of creating the networks.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p></p>
</dd>
</dl>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.fig">
<em class="property">property </em><code class="sig-name descname">fig</code><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.fig" title="Permalink to this definition">¶</a></dt>
<dd><p>The figure object for plotting the multilevel network with iplot/plotly.
In general, created by calling createFigGraph</p>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.filter_edge_by_vertices">
<code class="sig-name descname">filter_edge_by_vertices</code><span class="sig-paren">(</span><em class="sig-param">start_vertex</em>, <em class="sig-param">end_vertex</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.filter_edge_by_vertices"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.filter_edge_by_vertices" title="Permalink to this definition">¶</a></dt>
<dd><p>filter all nodes given bei args,kwargs, parameters are the same as in igraph.vs.select
(#TODO still experimental !!)</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>MultiLayerGraph without the selected edges.</p>
</dd>
</dl>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.filter_es">
<code class="sig-name descname">filter_es</code><span class="sig-paren">(</span><em class="sig-param">*args</em>, <em class="sig-param">**kwds</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.filter_es"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.filter_es" title="Permalink to this definition">¶</a></dt>
<dd><p>filter all nodes given bei args,kwargs, parameters are the same as in igraph.es.select
(#TODO still experimental !!)
:param args: same as for igraph.vs.select
:param kwds: same as for igraph.vs.select</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>MultiLayerGraph without the selected nodes.</p>
</dd>
</dl>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.filter_vs">
<code class="sig-name descname">filter_vs</code><span class="sig-paren">(</span><em class="sig-param">*args</em>, <em class="sig-param">**kwds</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.filter_vs"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.filter_vs" title="Permalink to this definition">¶</a></dt>
<dd><p>filter all nodes given bei args,kwargs, parameters are the same as in igraph.es.select
(#TODO still experimental !!)
:param args: same as for igraph.vs.select
:param kwds: same as for igraph.vs.select</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>MultiLayerGraph without the selected nodes.</p>
</dd>
</dl>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.generateMerged_ynws">
<code class="sig-name descname">generateMerged_ynws</code><span class="sig-paren">(</span><em class="sig-param">intervalls</em>, <em class="sig-param">update=True</em>, <em class="sig-param">chooseOnlyNodesInYear=False</em>, <em class="sig-param">mergeattr=None</em>, <em class="sig-param">start_attr='begins'</em>, <em class="sig-param">end_attr='ends'</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.generateMerged_ynws"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.generateMerged_ynws" title="Permalink to this definition">¶</a></dt>
<dd><dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>intervalls</strong> – </p></li>
<li><p><strong>update</strong> – </p></li>
<li><p><strong>chooseOnlyNodesInYear</strong> – </p></li>
<li><p><strong>mergeattr</strong> – if none then the default is self.unique_vertex_attribute</p></li>
<li><p><strong>start_attr</strong> – </p></li>
<li><p><strong>end_attr</strong> – </p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p></p>
</dd>
</dl>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.generateMultiLayer">
<code class="sig-name descname">generateMultiLayer</code><span class="sig-paren">(</span><em class="sig-param">update=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.generateMultiLayer"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.generateMultiLayer" title="Permalink to this definition">¶</a></dt>
<dd><p>generates one graph which combines all nodes and edges of the multlayer structure.
:param v_attr_name: (optional) defaults to label. Name of the  attribute of the
node which uniquely identifies a node.
:param update: (optional) experimental if set to true it only adds new layers
:return:</p>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.getLayerTypes">
<code class="sig-name descname">getLayerTypes</code><span class="sig-paren">(</span><em class="sig-param">field='typ'</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.getLayerTypes"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.getLayerTypes" title="Permalink to this definition">¶</a></dt>
<dd><p>get the unique set of typs in each layer</p>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.getLayerYNW">
<code class="sig-name descname">getLayerYNW</code><span class="sig-paren">(</span><em class="sig-param">layer</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.getLayerYNW"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.getLayerYNW" title="Permalink to this definition">¶</a></dt>
<dd><p>Create ther ynw for a layer
:param layer: layername
:return: dict year -&gt; nw.</p>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.get_simplified_multi_layer_ynws">
<code class="sig-name descname">get_simplified_multi_layer_ynws</code><span class="sig-paren">(</span><em class="sig-param">intervall: int</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.get_simplified_multi_layer_ynws"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.get_simplified_multi_layer_ynws" title="Permalink to this definition">¶</a></dt>
<dd><p>simplifies the multi layer  year network for the intervall”</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>intervall</strong> (<a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.8)"><em>int</em></a>) – Intervall has to be 1 or an intervall contained in the merged networks</p>
</dd>
<dt class="field-even">Returns yearnetworks</dt>
<dd class="field-even"><p>dict with different type of simplified networks</p>
</dd>
</dl>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.init_notebook_mode">
<code class="sig-name descname">init_notebook_mode</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.init_notebook_mode"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.init_notebook_mode" title="Permalink to this definition">¶</a></dt>
<dd><p>if called tqdm_notebook is used instead of tqdm
:return:</p>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.load">
<em class="property">static </em><code class="sig-name descname">load</code><span class="sig-paren">(</span><em class="sig-param">fn</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.load"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.load" title="Permalink to this definition">¶</a></dt>
<dd><p>load multiLayerGraph</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>fn</strong> – Filename</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>multiLayerGraph</p>
</dd>
</dl>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.multi_layer">
<em class="property">property </em><code class="sig-name descname">multi_layer</code><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.multi_layer" title="Permalink to this definition">¶</a></dt>
<dd><p>the attached multi-layer graph. Which is one network with all
nodes and edges of the whole system of graphs.
Will be generated by calling generateMultiLayer.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p></p>
</dd>
</dl>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.save">
<code class="sig-name descname">save</code><span class="sig-paren">(</span><em class="sig-param">fn</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.save"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.save" title="Permalink to this definition">¶</a></dt>
<dd><p>save the multiLayerGraph</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>fn</strong> – filename</p>
</dd>
</dl>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.simulate">
<code class="sig-name descname">simulate</code><span class="sig-paren">(</span><em class="sig-param">onlyMultilayer=True</em>, <em class="sig-param">intervall=-100</em>, <em class="sig-param">iterations=2</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.simulate"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.simulate" title="Permalink to this definition">¶</a></dt>
<dd><p>this method takes a merged year network and creates - simular graphs with Erdos_Renyi and Barabasi
and returns yeargraphs for both cases and the development of some graph properties
(no of nodes and no of edges)</p>
<p>We generate simulations for different versions of the original set of graphs.
If the graph contains loops simulation of the
original graph will not get usefull results. Therefore it is recommended to use at least the loop-free simulation.</p>
<p>This methods calls <a class="reference internal" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.simulate_ynw" title="network_extensions.igraphx.multilayer.MultiLayerGraph.simulate_ynw"><code class="xref py py-func docutils literal notranslate"><span class="pre">simulate_ynw()</span></code></a> for each layer</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>onlyMultilayer</strong> – defaults to True. Only the multi layer graph for each year is simulated</p></li>
<li><p><strong>intervall</strong> – defaults to -100. Uses the merged_graph for -100 as basis for simulation</p></li>
<li><p><strong>iterations</strong> – defaults to 2. Number of  simulations should be done for each year.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>dict with layer -&gt; simuation, each simulation is a results of  <a class="reference internal" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.simulate_ynw" title="network_extensions.igraphx.multilayer.MultiLayerGraph.simulate_ynw"><code class="xref py py-func docutils literal notranslate"><span class="pre">simulate_ynw()</span></code></a>.</p>
</dd>
</dl>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.simulate_ynw">
<code class="sig-name descname">simulate_ynw</code><span class="sig-paren">(</span><em class="sig-param">ynw</em>, <em class="sig-param">iterations=2</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.simulate_ynw"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.simulate_ynw" title="Permalink to this definition">¶</a></dt>
<dd><p>Simulate for each year different versions of the networks. Normally, you should at least use the loop free versions.</p>
<p>In the output you find information for:</p>
<ul class="simple">
<li><p>“graphs” :  the graph as it is</p></li>
<li><p>“undirected” : undirected version of the graph using as_undirected() from igraph</p></li>
<li><p>“loop_free” : remove all loops</p></li>
<li><p>“loop_free_undirected” : no loops and undirected</p></li>
<li><p>“simplify” : calls simplify() on all graps</p></li>
<li><p>“simplify_undirected” : simplify and undirected</p></li>
</ul>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>ynw</strong> – <a class="reference internal" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.YearNetwork" title="network_extensions.igraphx.multilayer.MultiLayerGraph.YearNetwork"><code class="xref py py-class docutils literal notranslate"><span class="pre">YearNetwork</span></code></a></p></li>
<li><p><strong>iterations</strong> – optional defaults to 2, number of iterations for each simluation</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p><a class="reference internal" href="structure_simulations.html#structure-simulations"><span class="std std-ref">Result structure of a simulation</span></a></p>
</dd>
</dl>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.unify_attributes">
<code class="sig-name descname">unify_attributes</code><span class="sig-paren">(</span><em class="sig-param">allow_overwrite=[]</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.unify_attributes"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.unify_attributes" title="Permalink to this definition">¶</a></dt>
<dd><p>adds the attributes of every node to every layer, if it exists there, creates also a unified node list.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p></p>
</dd>
</dl>
</dd></dl>

<dl class="method">
<dt id="network_extensions.igraphx.multilayer.MultiLayerGraph.writeGraphsToFile">
<code class="sig-name descname">writeGraphsToFile</code><span class="sig-paren">(</span><em class="sig-param">fl, outputTypes=['graphml']</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#MultiLayerGraph.writeGraphsToFile"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.writeGraphsToFile" title="Permalink to this definition">¶</a></dt>
<dd><dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>fl</strong> – filehandle</p></li>
<li><p><strong>outputTypes</strong> – list of output types defaults to [“graphml”]</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p></p>
</dd>
</dl>
</dd></dl>

</dd></dl>

<dl class="exception">
<dt id="network_extensions.igraphx.multilayer.NotCalculatedYetError">
<em class="property">exception </em><code class="sig-prename descclassname">network_extensions.igraphx.multilayer.</code><code class="sig-name descname">NotCalculatedYetError</code><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#NotCalculatedYetError"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.NotCalculatedYetError" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="network_extensions.igraphx.multilayer.saveSimGraphs">
<code class="sig-prename descclassname">network_extensions.igraphx.multilayer.</code><code class="sig-name descname">saveSimGraphs</code><span class="sig-paren">(</span><em class="sig-param">sims</em>, <em class="sig-param">fl</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#saveSimGraphs"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.saveSimGraphs" title="Permalink to this definition">¶</a></dt>
<dd><p>Saves the output of a simulation to a tar file with relevant networks.
Including the original.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>sims</strong> – Should be the output of <a class="reference internal" href="#network_extensions.igraphx.multilayer.MultiLayerGraph.simulate" title="network_extensions.igraphx.multilayer.MultiLayerGraph.simulate"><code class="xref py py-meth docutils literal notranslate"><span class="pre">network_extensions.igraphx.multilayer.MultiLayerGraph.simulate()</span></code></a></p></li>
<li><p><strong>fl</strong> – File handle where to write the output to.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p></p>
</dd>
</dl>
</dd></dl>

<dl class="function">
<dt id="network_extensions.igraphx.multilayer.transform">
<code class="sig-prename descclassname">network_extensions.igraphx.multilayer.</code><code class="sig-name descname">transform</code><span class="sig-paren">(</span><em class="sig-param">gr</em>, <em class="sig-param">transform</em>, <em class="sig-param">vertex_or_edge='vertex'</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx/multilayer.html#transform"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.multilayer.transform" title="Permalink to this definition">¶</a></dt>
<dd><p>transformes values and creates new for a graph</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>transform</strong> – iterable of dict. Each tripel contains “name” name of vertex attribute to be transformed,</p>
</dd>
</dl>
<p>“func” a callable which can be called with the values of “name”. “default” a value which should be used if the
function call doesn’t work. (e.g. {“name” : year, “func” : int, “default”: 0})</p>
</dd></dl>

</div>


           </div>
           
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="simulations.html" class="btn btn-neutral float-right" title="Network igraphx_simulations.simulations" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="igraphx.html" class="btn btn-neutral float-left" title="Network network_extensions.igraphx" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2019, Dirk Wintergrün

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>